{ pkgs, ... }: {
  programs.khal.enable = true;

  programs.vdirsyncer.enable = true;
  services.vdirsyncer.enable = true;

  accounts.calendar = {
    basePath = "calendars";
    accounts = {
      nextcloud = {
        khal = {
          enable = true;
          type = "discover";
        };
        # primary = true;
        remote = {
          userName = "vale";
          passwordCommand = [ "${pkgs.libsecret}/bin/secret-tool" "lookup" "username" "vale" ];
          type = "caldav";
          url = "https://vapspace.org/remote.php/dav";
        };
        vdirsyncer = {
          enable = true;
          collections = [ "from a" "from b" ];
        };
      };
    };
  };
}
