{ pkgs, ... }: {
  # programs.khal.enable = true;

  programs.khard.enable = true;

  services.vdirsyncer.enable = true;

  accounts.contact = {
    basePath = "contacts";
    accounts = {
      nextcloud = {
        khard = {
          enable = true;
          defaultCollection = "kontakte";
        };
        local = {
          type = "filesystem";
          fileExt = ".vcf";
        };
        # primary = true;
        remote = {
          userName = "vale";
          passwordCommand = [ "${pkgs.libsecret}/bin/secret-tool" "lookup" "username" "vale" ];
          type = "carddav";
          url = "https://vapspace.org/remote.php/dav";
        };
        vdirsyncer = {
          enable = true;
          collections = [ "from a" "from b" ];
        };
      };
    };
  };
}
